import { select } from 'd3';

const svgElement = select('svg');
const svgWidth = +svgElement.attr('width');
const svgHeight = +svgElement.attr('height');

const mainGroup = svgElement
  .append('g')
  .attr(
    'transform',
    `translate(${svgWidth / 2}, ${svgHeight / 2})`,
  )
  .style('fill', 'brown');

const mainCircle = mainGroup
  .append('circle')
  .attr('r', svgHeight / 2)
  .attr('fill', 'yellow')
  .attr('stroke', 'black');

const eyeSpacing = 70;
const eyeYOffset = -50;
const eyeRadius = 30;
const eyeBrowWidth = 75;
const eyeBrowHeight = 15;
const eyeBrowYOffset = -50;

const eyesGroup = mainGroup
  .append('g')
  .attr('fill', 'black')
  .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesGroup
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', -eyeSpacing);

leftEye
  .transition()
  .delay(1000)
  .duration(3000)
  .style('fill', 'black');

const rightEye = eyesGroup
  .append('circle')
  .attr('r', eyeRadius)
  .attr('cx', eyeSpacing);

rightEye
  .transition()
  .delay(1000)
  .duration(3000)
  .style('fill', 'black');

const eyebrowsGroup = eyesGroup
  .append('g')
  .attr('transform', `translate(0, ${eyeBrowYOffset})`);

const leftEyebrow = eyebrowsGroup
  .append('rect')
  .attr('x', -eyeSpacing - eyeBrowWidth / 2)
  .attr('width', eyeBrowWidth)
  .attr('height', eyeBrowHeight);

const rightEyebrow = eyebrowsGroup
  .append('rect')
  .attr('x', eyeSpacing - eyeBrowWidth / 2)
  .attr('width', eyeBrowWidth)
  .attr('height', eyeBrowHeight);

const mouth = mainGroup.append('path').attr(
  'd',
  d3.arc()({
    innerRadius: 1,
    outerRadius: 85,
    startAngle: Math.PI / 2,
    endAngle: (Math.PI * 3) / 2,
  }),
);
